#include <mega32.h>

#ifndef USART_H
#define USART_H

#ifndef RXC
#define RXC 7
#endif

#ifndef RXEN
#define RXEN 4
#endif

#ifndef RXCIE
#define RXCIE 7
#endif

#ifndef TXEN
#define TXEN 3
#endif UCSZ0

#ifndef UCSZ0
#define UCSZ0 1 
#endif

#ifndef UDRE
#define UDRE 5  
#endif

#ifndef URSEL
#define URSEL 7
#endif

#ifndef USBS
#define USBS 3
#endif

void UART_Init( unsigned int baud );

void UART_Transmit( unsigned char data );

unsigned char UART_Receive( void );

void UART_Flush( void );

void ausgabe_uart(char zeichenkette[]);

void ausgabe_uart_single_char(char zeichen);

#endif USART_H